
Redmine - Patch #38122

Remove Bundler from requirements 

2022-12-27 05:38 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.1.0   

Description

In Ruby 2.6 and later, Bundler is installed by default. Redmine does not support Ruby versions earlier than 2.5, which means that all

supported versions of Ruby already include Bundler. Therefore, there is no need to install Bundler explicitly.

As a result, we can remove any references to Bundler in the following files:

doc/INSTALL: remove Bundler from the "Requirements" section

Gemfile: remove the line gem 'bundler', '>= 1.12.0'. The version of Bundler included with Ruby 2.6.0 (1.17.2) is more recent and

there is no chance that an older version such as 1.11 will be used during the installation of Redmine

Related issues:

Related to Redmine - Feature #30118: Ruby 2.6 support Closed

Related to Redmine - Feature #37159: Drop Ruby 2.5 support Closed

Associated revisions

Revision 22005 - 2022-12-28 01:35 - Go MAEDA

Remove Bundler from Requirements (#38122).

Patch by Go MAEDA.

History

#1 - 2022-12-28 01:36 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.1.0

Committed the patch.

#2 - 2022-12-28 02:16 - Go MAEDA

- Related to Feature #30118: Ruby 2.6 support added

#3 - 2022-12-28 02:16 - Go MAEDA

- Related to Feature #37159: Drop Ruby 2.5 support added

Files

remove-bundler-from-requirements.diff 580 Bytes 2022-12-27 Go MAEDA
